/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization;

/**
 * Interface to allow {@link JSONFactory} fetch required {@link Identifiable} objects in deserialization process
 *
 * @author lastrix
 */
public interface IdentifiableProvider<T> {

	/**
	 * Return object which has specified id, this method should NEVER return null. Bad things may happen!
	 *
	 * @param id - an <T> object
	 *
	 * @return an {@link Object}
	 */
	public Identifiable<T> get(T id);
}
