/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization;

import java.util.Map;

/**
 * Simple {@link IdentifiableProvider} based on map.
 *
 * @author lastrix
 */
public class MapIdentifiableProvider<T> implements IdentifiableProvider<T> {

	private final Map<T, Identifiable<T>> map;


	/**
	 * Constructor with {@link Map} as objects destination and destination
	 *
	 * @param map - an {@link Map} object
	 */
	public MapIdentifiableProvider(Map<T, Identifiable<T>> map) {
		this.map = map;
	}


	@Override
	public Identifiable<T> get(T id) {
		return map.get(id);
	}

	/**
	 * Returns map
	 *
	 * @return
	 */
	public Map<T, Identifiable<T>> getMap() {
		return map;
	}
}
