/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization;

import java.lang.reflect.Field;

/**
 * Policy to determine which objects should be serialized
 * Works only for root objects.
 *
 * @author lastrix
 */
public interface Policy {

	public enum Status {
		YES,
		NO,
		AS_LINK
	}

	/**
	 * Return true if object should be (de)serialized.
	 *
	 * @param o - an object
	 *
	 * @return an Status value
	 */
	public Status isNeeded(Object o);

	/**
	 * Return true if specified field of specified object should be (de)serialized
	 *
	 * @param o     - an object
	 * @param field - an {@link Field} object
	 *
	 * @return an Status value
	 */
	public Status isNeeded(Object o, Field field);
}
