/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization.tool.validation;

import org.lastrix.JSONSerialization.Identifiable;
import org.lastrix.JSONSerialization.tool.Validator;

/**
 * Abstract class for objects in validation tree.
 *
 * @author: lastrix
 * Date: 8/13/11
 * Time: 4:35 PM
 */
public class AbstractJSONValidationBlock implements Identifiable<Integer> {

	private final Validator validator;
	private       Integer   id;

	/**
	 * Default constructor
	 *
	 * @param validator
	 */
	public AbstractJSONValidationBlock(final Validator validator) {
		this.validator = validator;
		validator.addBlock(this);
	}

	/**
	 * Return id of this object
	 *
	 * @return an <T> object
	 */
	@Override
	public Integer getId() {
		return id;
	}

	/**
	 * Set id
	 *
	 * @param id - an T value
	 */
	@Override
	public void setId(final Integer id) {
		this.id = id;
	}
}
