/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization;

/**
 * @author: lastrix
 * Date: 8/13/11
 * Time: 12:29 PM
 */
public final class SimpleTestClass implements Identifiable<TestKey>, Comparable<SimpleTestClass> {

	private TestKey id;

	/**
	 * Generated constructor
	 */
	private SimpleTestClass() {
		super();
	}

	/**
	 * Generated constructor
	 *
	 * @param id- the id
	 */
	public SimpleTestClass(final TestKey id) {
		this();
		this.id = id;
	}

	@Override
	public TestKey getId() {
		return this.id;
	}

	@Override
	public void setId(TestKey id) {
		this.id = id;
	}

	@Override
	public int compareTo(final SimpleTestClass o) {
		return id.compareTo(o.getId());
	}

	@Override
	public boolean equals(final Object obj) {
		if (this == obj) {
			return true;
		} else if (obj instanceof SimpleTestClass) {
			return getId().equals(((SimpleTestClass) obj).getId());
		}
		return false;
	}

	@Override
	public String toString() {
		return "SimpleTestClass{" + id + '}';
	}
}
