/******************************************************************************
 * Copyright (C) 2010-2011 Lastrix                                            *
 *                                                                            *
 * This file is part of JSONSerialization.                                    *
 *                                                                            *
 * JSONSerialization is free software: you can redistribute it and/or modify  *
 * it under the terms of the GNU General Public License as published by       *
 * the Free Software Foundation, either version 2 of the License, or          *
 * (at your option) any later version.                                        *
 *                                                                            *
 * JSONSerialization is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with JSONSerialization. If not, see <http://www.gnu.org/licenses/>.  *
 ******************************************************************************/

package org.lastrix.JSONSerialization;

/**
 * @author lastrix
 */
public class TestKey implements Comparable<TestKey> {
	private int key;

	/**
	 * Generated constructor
	 */
	public TestKey() {
	}

	/**
	 * Generated constructor
	 *
	 * @param key - the key
	 */
	public TestKey(final int key) {
		super();
		this.key = key;
	}

	/**
	 * Returns key
	 *
	 * @return an int
	 */
	public final int getKey() {
		return this.key;
	}

	/*
	 * (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		return this.key;
	}

	/*
	 * (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.format("Key(%d)", this.key);
	}

	@Override
	public int compareTo(final TestKey k) {
		return key - k.getKey();
	}

	@Override
	public boolean equals(final Object obj) {
		if (this == obj) {
			return true;
		} else if (obj instanceof TestKey) {
			return getKey() == ((TestKey) obj).getKey();
		}
		return false;
	}
}
